/**
 * link-dependency-executables
 * Link a package's executables into node_modules
 */
import { FindPackageError } from '@typescript-tools/find-package';
import { MonorepoRootError } from '@typescript-tools/monorepo-root';
import * as TE from 'fp-ts/TaskEither';
export declare type LinkDependencyExecutablesError = FindPackageError | MonorepoRootError | {
    type: 'unable to read file';
    filename: string;
    error: Error;
} | {
    type: 'unable to decode dependency package.json';
    dependency: string;
    error: string;
} | {
    type: 'unable to create directory';
    path: string;
    error: Error;
} | {
    type: 'unable to create symlink';
    target: string;
    path: string;
    error: Error;
};
export declare const linkDependencyExecutables: (internalPackagePathOrName: string) => (dependencyName: string) => TE.TaskEither<LinkDependencyExecutablesError, void>;
//# sourceMappingURL=index.d.ts.map